# pyCirclize: Circular visualization in Python

![Python3](https://img.shields.io/badge/Language-Python3-steelblue)
![OS](https://img.shields.io/badge/OS-_Windows_|_Mac_|_Linux-steelblue)
![License](https://img.shields.io/badge/License-MIT-steelblue)
[![Latest PyPI version](https://img.shields.io/pypi/v/pycirclize.svg)](https://pypi.python.org/pypi/pycirclize)
[![conda-forge](https://img.shields.io/conda/vn/conda-forge/pycirclize.svg?color=green)](https://anaconda.org/conda-forge/pycirclize)

## Overview

pyCirclize is a circular visualization python package implemented based on matplotlib.
This package is developed for the purpose of easily and beautifully plotting circular figure such as Circos Plot and Chord Diagram in Python.
In addition, useful genome and phylogenetic tree visualization methods for the bioinformatics field are also implemented.
pyCirclize was inspired by [circlize](https://github.com/jokergoo/circlize) and [pyCircos](https://github.com/ponnhide/pyCircos).

<figure markdown>
  ![pyCirclize_gallery.png](./images/pyCirclize_gallery.png)
  <figcaption>pyCirclize example plot gallery</figcaption>
</figure>

## Installation

`Python 3.9 or later` is required for installation.

**Install PyPI package:**

    pip install pycirclize

**Install conda-forge package:**

    conda install -c conda-forge pycirclize

## API Usage

API usage is described in each of the following sections.

- [Getting Started](./getting_started/)
- [Plot API Example](./plot_api_example/)
- [Chord Diagram](./chord_diagram/)
- [Radar Chart](./radar_chart/)
- [Circos Plot (Genomics)](./circos_plot/)
- [Phylogenetic Tree](./phylogenetic_tree/)
- [Plot Tips](./plot_tips/)
